Bug 110504 - WAF and CMS Configuration documentation incomplete
WAF and CMS Configuration documentation incomplete
Product: Red Hat Enterprise CMS
Classification: Retired
Component: documentation (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
Depends On:
  Show dependency treegraph
Reported: 2003-11-20 07:35 EST by Steve Etherington
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-05 13:51:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Etherington 2003-11-20 07:35:36 EST
Description of problem:

Chapter 12 consists of

"WAF Configuration Details
12.1. WAF Parameters
As part of ongoing dvelopment efforts, the Red Hat Applications 
engineering team has created a new scheme for handling initialization 
parameters. The first application to be changed is the Web
Application Framework itself. Reference I, WAF Configuration 
Reference details the configuration parameters for WAF."

This tells me that there is a "new scheme" but doesn't tell me what 
it is. Or what the old one was for that matter. The "WAF 
Configuration Reference" contains a list of parameter names and 
documentation on them. But it doesn't say how to use them, eg in what 
file or files they are, how we go about setting or changing them, or 
a reference to where this is explained. 

The same problems also exist for the following chapter on CMS 
configuration details.

An example entry in the WAF Configuration reference:


This tells me that the parameter waf.lucene.location exists, but 
nothing more. Many of the parameters do have a description and an 
example but even then the documentation is a bit sparse. Eg,

waf.pagemap.workspace— Workspace Page
Enter the relative URL for the Workspace Page

This could have said what the workspace page was, or where I could 
find out more info on it, what happens if it is not set correctly, 

Version-Release number of selected component (if applicable):
rhea-ig-waf-en(EN)-6.1-Print-RHI (2003-11-14-T14:20)

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jon Orris 2006-09-05 13:51:18 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.